org.eclipse.ease.ui.help.hovers

## Class EditorToolTipDecorator

- java.lang.Object
- - org.eclipse.jface.window.ToolTip
  - - org.eclipse.ease.ui.help.hovers.EditorToolTipDecorator

    public class EditorToolTipDecorator
    extends ToolTip

### Field Summary

### Fields inherited from class org.eclipse.jface.window.ToolTip

`NO_RECREATE, RECREATE`

### Constructor Summary

Constructors
Constructor and Description
`EditorToolTipDecorator(Control control)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Composite` `createToolTipContentArea(Event event, Composite parent)`
`void` `setInputCombo(Combo fInputCombo)`

### Methods inherited from class org.eclipse.jface.window.ToolTip

`activate, deactivate, getData, getLocation, hide, isHideOnMouseDown, isRespectDisplayBounds, isRespectMonitorBounds, setData, setHideDelay, setHideOnMouseDown, setPopupDelay, setRespectDisplayBounds, setRespectMonitorBounds, setShift, show`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorToolTipDecorator

    public EditorToolTipDecorator(Control control)

### Method Detail

#### setInputCombo

    public void setInputCombo(Combo fInputCombo)

#### createToolTipContentArea

    public Composite createToolTipContentArea(Event event,
                                              Composite parent)

Specified by:
  `createToolTipContentArea` in class `ToolTip`